<!DOCTYPE html>
<!-- 
   포지션(position)
   1 포지션은 박스에 대한 배치를 변경할때 사용된다.
   2 포지션은 값으로 static, absolute, relative, fixed가 있다.
   3 static : 순서에 의한 기본 위치를 지정한다.
     absolute : 부모 요소를 기준으로 위치를 지정한다.(원래의 위치값을 잃는다.)
     relative : 자기 자신을 기준으로 위치를 지정한다. (원래의 위치값을 가지고 있다.)
     fixed : 스크린을 기준으로 위치를 지정한다.  (원래의 위치값을 잃는다.)
     
   4 absolute의 위치지정
     부모요소의   position이 static이면 기준점이 body가 된다.
     부모요소의 position이 absolute, relative이면 기준점이 부모요소이다.
 -->
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<style type="text/css">
* {
	margin: 0;
	padding: 0;
	border-width: 0;
}

.box1 {
	width: 500px;
	height: 100px;
	background-color: black;
	position: static; /* default */
}

.box2 {
	width: 500px;
	height: 200px;
	background-color: yellow;
	position: relative;
}

.box3 {
	width: 100px;
	height: 100px;
	background-color: red;
	position: absolute; /* position을 absolute로 설정하면 box4랑 겹친다 */
	top: 0px;
	left: 200px;
}

.box4 {
	width: 100px;
	height: 120px;
	background-color: green;
	position: relative; /* 기존에 차지하고 있던 영역은 그대로 유지됨. 따라서 아래에 위치한 p요소의 위치는 그대로 유지 */ 
	top: 50px;
	left: 50px;
}

.box6 {
	width: 800px;
	height: 100px;
	background-color: aqua;
}

.box5 {
	width: 100px;
	height: 100px;
	background-color: orange;
	position: fixed; /* fixed는 기존 영역을 잃음 */
	right: 10px;
	top: 50px;
}
</style>
</head>
<body>
	<div class="box1"></div>
	<div class="box2">
		<div class="box3"></div>
		<div class="box4"></div>
		<p>요소들의 위치변경</p>
	</div>

	<div class="box5"></div>
	<div class="box6">This HTML tutorial contains hundreds of HTML
		examples. With our online HTML editor, you can edit the HTML, and
		click on a b</div>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
	<br/><br/><br/><br/><br/><br/><br/><br/><br/>
</body>
</html>